#!/bin/bash
# This script should remove the menu shortcut and unset the Pro Motion Project MIME type & association.
# Run as root to apply it system-wide.

if [ "$BASH_VERSION" = "" ] ; then
	echo "This is a Bash script. Please either start it normally (e.g.: \"./script.sh\"), or with Bash directly (e.g.: \"bash script.sh\")"
	exit
fi

cd "$(dirname "$0")"
WRAPPERDIR=$(dirname "$(pwd)")

if [ "$(pwd)" != "$WRAPPERDIR/support" ] || [ ! -e "$WRAPPERDIR/start.sh" ] ; then
	echo "Error: this script does not appear to be in the wrapper's support directory or the wrapper's start script is missing."
	exit
fi

if [ "$(id -u)" == "0" ] ; then
	SC_DEST="/usr/share/applications"
	MIMEDB_LOC="/usr/share/mime"
else
	SC_DEST="$HOME/.local/share/applications"
	MIMEDB_LOC="$HOME/.local/share/mime"
fi

# Uninstall MIME type

rm "$MIMEDB_LOC/packages/x-pro-motion-project.xml"
update-mime-database "$MIMEDB_LOC"

# Uninstall app icon

for SIZE in 128 64 32 16 ; do
	xdg-icon-resource uninstall --context apps --size $SIZE cosmigo-pro-motion-icon
done

# Delete launcher and de-associate

rm "$SC_DEST/cosmigo-pro-motion-ng.desktop"
update-desktop-database "$SC_DEST"
